<html>
<head>
<title>OGRE: OgreRenderSystemCapabilities.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderSystemCapabilities.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>

<p>
<a href="OgreRenderSystemCapabilities_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystemCapabilities.html">Ogre::RenderSystemCapabilities</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">singleton class for storing the capabilities of the graphics card.  <a href="classOgre_1_1RenderSystemCapabilities.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderSystemCapabilities_8h.html#2c40047465a09c206ef7a9885d1c7e42">__RenderSystemCapabilities__</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">Ogre::Capabilities</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de736fbedc1dbc7f1a597b593ef26d700a7">Ogre::RSC_AUTOMIPMAP</a> =  0x00000002, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de744257b4bb6f6662f86b5391315b382da">Ogre::RSC_BLENDING</a> =  0x00000004, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de743b3d4aabf56e02a0ea50cd32dcb42ee">Ogre::RSC_ANISOTROPY</a> =  0x00000008, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7b4f91cac8782a94b7628efde67bb3a89">Ogre::RSC_DOT3</a> =  0x00000010, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7a1a05f478179e95212c04d839f8bf925">Ogre::RSC_CUBEMAPPING</a> =  0x00000020, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de797f2e59e77a7a77aab06419ea8ec4545">Ogre::RSC_HWSTENCIL</a> =  0x00000040, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de723d49e82353f9f12ec907408f64ecc46">Ogre::RSC_VBO</a> =  0x00000080, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70036e085f9e885a0f9176c520c47b1b8">Ogre::RSC_VERTEX_PROGRAM</a> =  0x00000200, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70fb7675fcb0999b146ddb233f0c8d532">Ogre::RSC_FRAGMENT_PROGRAM</a> =  0x00000400, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de75943ac693051b347fd65ce715fdff2a4">Ogre::RSC_TEXTURE_COMPRESSION</a> =  0x00000800, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de793340f99ad2b08fcd21b2475f29bf0b0">Ogre::RSC_TEXTURE_COMPRESSION_DXT</a> =  0x00001000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7cd1d85413909faa36b2172358e1d6e00">Ogre::RSC_TEXTURE_COMPRESSION_VTC</a> =  0x00002000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7025003688279d889c8866bafb97d2e9d">Ogre::RSC_SCISSOR_TEST</a> =  0x00004000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de700acd7f72ee13db50c83c73893018c22">Ogre::RSC_TWO_SIDED_STENCIL</a> =  0x00008000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70ad2d2a7c1732fc0cadbc10fe15d7644">Ogre::RSC_STENCIL_WRAP</a> =  0x00010000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de76754fd60041b30aa89297451995d12fa">Ogre::RSC_HWOCCLUSION</a> =  0x00020000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de772fee516fc6f23892db204f63a3b4ce5">Ogre::RSC_USER_CLIP_PLANES</a> =  0x00040000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de72de4b26152004c45bf22ac3c06c20d46">Ogre::RSC_VERTEX_FORMAT_UBYTE4</a> =  0x00080000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de786b8fb59223a3d16e1c7556385c87e58">Ogre::RSC_INFINITE_FAR_PLANE</a> =  0x00100000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7640e063db30008a88378659bc5d0ed70">Ogre::RSC_HWRENDER_TO_TEXTURE</a> =  0x00200000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7330f702e041e05229fbeab6237204ffe">Ogre::RSC_TEXTURE_FLOAT</a> =  0x00400000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7d12d6aa304455f99d23426ba8fa3f3c4">Ogre::RSC_NON_POWER_OF_2_TEXTURES</a> =  0x00800000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f367d0e24c5f16cccd3d0dc06da7b80b">Ogre::RSC_TEXTURE_3D</a> =  0x01000000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de778d2501c1d7678ca5e0006450e8aa608">Ogre::RSC_POINT_SPRITES</a> =  0x02000000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f887fac0adaa3e2f13531b871c0479ba">Ogre::RSC_POINT_EXTENDED_PARAMETERS</a> =  0x04000000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de79b3ec17b20494afb3718d54f77f9db2e">Ogre::RSC_VERTEX_TEXTURE_FETCH</a> =  0x08000000, 
<a class="el" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7059362950c064bfe870e5fe60b56a3ca">Ogre::RSC_MIPMAP_LOD_BIAS</a> =  0x10000000
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum describing the different hardware capabilities we want to check for.  <a href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">More...</a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="2c40047465a09c206ef7a9885d1c7e42"></a><!-- doxytag: member="OgreRenderSystemCapabilities.h::__RenderSystemCapabilities__" ref="2c40047465a09c206ef7a9885d1c7e42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __RenderSystemCapabilities__&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderSystemCapabilities_8h-source.html#l00030">30</a> of file <a class="el" href="OgreRenderSystemCapabilities_8h-source.html">OgreRenderSystemCapabilities.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
